Subject: Re: [Bug-tar] dist tarball contains hardlinks

From: Pavel Raiskup <[email-masked]>
Date: Fri, 23 Jan 2015 19:39:22 +0100

On Friday 23 of January 2015 15:45:57 Dimitrios Apostolou wrote:
> Thank you Joerg. If so then it is an issue that must be fixed in
> automake, which is the reason I cross-posted to both projects, because I
> am not sure which one should be changed!

What solution you exactly propose?  Note that 'h' tar option is used for
dist from Y1996 commit [1] and its removal is unlikely.  It is quite
portable and it, as the "default", works for many packages.

What is not clear to me also is your motivation to change GNU tar to
behave differently, or to change something so old in automake.  IMO, the
reason why you hit this issue is not the "hardlinking" change itself, but
rather just small mistake of the maintainer who did not read STDERR tar's
warnings while doing 'make dist'.  We could make those warnings more
obvious..  is that what you want?

[1] http://git.savannah.gnu.org/cgit/automake.git/commit/?id=7930983ab1c620

Pavel